Bug 2691 - [UPDATE REQUEST] rpm - add rpmdbchk tool
: [UPDATE REQUEST] rpm - add rpmdbchk tool
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-17 11:11 MSD by Denis Silakov
Modified: 2013-09-23 12:12 MSD (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2013-09-17 11:11:52 MSD
Not long ago a new tool named 'rpmdbchk' was introduced in Cooker which may help to repair damaged headers in rpmdb. It would be useful to port that tool to ROSA.
Comment 1 Denis Silakov 2013-09-17 11:17:51 MSD
Advisory:
Added rpmdbchk tool (located in /usr/lib/rpm/bin/rpmdbchk) that can be used to check and repair several kinds of inconsistencies in rpmdb.

In addition, fixed minor memory leaks in debugedit, made its error messages more clear and enabled "nofsync" option by default when rebuilding rpmdb.

Build lists:
https://abf.rosalinux.ru/build_lists/1256489
https://abf.rosalinux.ru/build_lists/1256488

Note for testers: these changes should not affect normal work of rpm, we should test that nothing is broken after these updates. You can try to test how rpmdbchk restores the database; to do this, you should somehow break you rpmdb, but remember that rpmdbchk can't fix all possible problems, so be careful.
Comment 2 Vladimir Potapov 2013-09-20 17:13:41 MSD
rpm-5.4.10-14-rosa2012.1
*********************** Advisory ***********************
Added rpmdbchk tool (located in /usr/lib/rpm/bin/rpmdbchk) that can be used to check and repair several kinds of inconsistencies in rpmdb.

In addition, fixed minor memory leaks in debugedit, made its error messages more clear and enabled "nofsync" option by default when rebuilding rpmdb.
********************************************************
QA Verified